SyncupProgress (Oracle - Berkeley DB Java Edition API)
Date: 2014-12-16

com.sleepycat.je.rep

## Enum SyncupProgress

- java.lang.Object
- - java.lang.Enum<SyncupProgress>
  - - com.sleepycat.je.rep.SyncupProgress

- All Implemented Interfaces:
    Serializable, Comparable<SyncupProgress>

      public enum SyncupProgress
      extends Enum<SyncupProgress>

  Describes the different phases of replication stream syncup that are executed when a replica starts working with a new replication group master. Meant to be used in conjunction with a `ProgressListener` that is configured through `ReplicationConfig.setSyncupProgressListener(com.sleepycat.je.ProgressListener<com.sleepycat.je.rep.SyncupProgress>)`, to monitor the occurrence and cost of replica sync-ups.
  Since:
    5.0
  See Also:
    Replication Group Life Cycle

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHECK_FOR_ROLLBACK` A matchpoint has been found, and the replica is determining whether it has to rollback any uncommitted replicated records applied from the previous master.
    `DO_ROLLBACK` The replica is rolling back uncommitted replicated records applied from the previous master.
    `END` Replication stream syncup has ended.
    `FIND_MATCHPOINT` Syncup is starting up.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SyncupProgress` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SyncupProgress[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FIND_MATCHPOINT

          public static final SyncupProgress FIND_MATCHPOINT

      Syncup is starting up. The replica and feeder are searching for the most recent common shared point in the replication stream.

    - #### CHECK_FOR_ROLLBACK

          public static final SyncupProgress CHECK_FOR_ROLLBACK

      A matchpoint has been found, and the replica is determining whether it has to rollback any uncommitted replicated records applied from the previous master.

    - #### DO_ROLLBACK

          public static final SyncupProgress DO_ROLLBACK

      The replica is rolling back uncommitted replicated records applied from the previous master.

    - #### END

          public static final SyncupProgress END

      Replication stream syncup has ended.

  - ### Method Detail

    - #### values

          public static SyncupProgress[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SyncupProgress c : SyncupProgress.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SyncupProgress valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright (c) 2004, 2014 Oracle and/or its affiliates. All rights reserved.